package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)枚举类
*
* @author zxfei
*/
public enum QuarterEnum {
    第一季度(1, "第一季度"),
    第二季度(2, "第二季度"),
    第三季度(3, "第三季度"),
    第四季度(4, "第四季度");
    private Integer value;
    private String desc;

    QuarterEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static QuarterEnum getByValue(Integer value) {
        for (QuarterEnum quarterEnum : QuarterEnum.values()) {
            if (quarterEnum.getValue() == value) {
                return quarterEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (QuarterEnum item : QuarterEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}